## org.apache.ivy.core.settings
Class IvyVariableContainerImpl

    java.lang.Object
      org.apache.ivy.core.settings.IvyVariableContainerImpl

All Implemented Interfaces:
  java.lang.Cloneable, IvyVariableContainer

    public class IvyVariableContainerImpl

extends java.lang.Object
implements IvyVariableContainer

Constructor Summary
`IvyVariableContainerImpl()`
`IvyVariableContainerImpl(java.util.Map variables)`

Method Summary
`java.lang.Object` `clone()`
`protected java.lang.String` `getEnvironmentPrefix()`
`java.lang.String` `getVariable(java.lang.String name)`
`protected java.util.Map` `getVariables()`
`void` `setEnvironmentPrefix(java.lang.String prefix)` Specifies the prefix used to indicate a variable is an environment variable.
`void` `setVariable(java.lang.String varName, java.lang.String value, boolean overwrite)`
`protected java.lang.String` `substitute(java.lang.String value)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IvyVariableContainerImpl

    public IvyVariableContainerImpl()

### IvyVariableContainerImpl

    public IvyVariableContainerImpl(java.util.Map variables)

Method Detail

### setVariable

    public void setVariable(java.lang.String varName,
                            java.lang.String value,
                            boolean overwrite)

  Specified by:
    `setVariable` in interface `IvyVariableContainer`

### setEnvironmentPrefix

    public void setEnvironmentPrefix(java.lang.String prefix)

  Description copied from interface: `IvyVariableContainer`
  Specifies the prefix used to indicate a variable is an environment variable. If the prefix doesn't end with a '.', it will be added automatically.

  Specified by:
    `setEnvironmentPrefix` in interface `IvyVariableContainer`
  Parameters:
    `prefix` - the prefix to use for the environment variables

### substitute

    protected java.lang.String substitute(java.lang.String value)

### getVariables

    protected java.util.Map getVariables()

### getEnvironmentPrefix

    protected java.lang.String getEnvironmentPrefix()

### getVariable

    public java.lang.String getVariable(java.lang.String name)

  Specified by:
    `getVariable` in interface `IvyVariableContainer`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `IvyVariableContainer`
  Overrides:
    `clone` in class `java.lang.Object`